package com.jw.app.business.portlet;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface PortletDAO {
	
    void insert_portlet_template(Map<String,Object> entity) throws BusinessException ;
	
	void update_portlet_template(Map<String,Object> entity) throws BusinessException ;
	
	void delete_portlet_template(List<String> list) throws BusinessException;
	
	List<Map<String,Object>> list_delete_portlet_template(List<String> list) throws BusinessException;
	
    List<Map<String,Object>> list_portlet_template(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_template(Map<String,Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_template_user(Map<String,Object> query) throws BusinessException ;
    
    int listCount_portlet_template(Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_mytemplate_notall(Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_mytemplate_all(Map<String, Object> query) throws BusinessException ;
	
    void insert_portlet_setup(Map<String,Object> entity) throws BusinessException ;
	
	void update_portlet_setup(Map<String,Object> entity) throws BusinessException ;
	
	void delete_portlet_setup(List<String> list) throws BusinessException;
	
    List<Map<String,Object>> list_portlet_setup(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_setup(Map<String,Object> query) throws BusinessException ;
    
    int listCount_portlet_setup(Map<String, Object> query) throws BusinessException ; 
    
    List<Map<String,Object>> listBaseApps(Map<String,Object> query) throws BusinessException ;

}
